import * as Promise from 'bluebird';
import * as tsConfig from './tsconfig';
import * as log from './logger';
export interface JsWatcherOptions {
    config: tsConfig.TsConfig;
    logger: log.ILogService;
}
export declare class JsWatcher {
    readonly config: tsConfig.TsConfig;
    readonly logger: log.ILogService;
    private _watcherSpec;
    private _watcher;
    constructor(options: JsWatcherOptions);
    run(): Promise<void>;
    getWatched(): {
        [directory: string]: string[];
    };
    private _onAddFile;
    private _onChangeFile;
    private _onUnlinkFile;
    private _onUnlinkDir;
    private _onError;
    private _onAddDir;
    private _shouldWatchFile;
    private _isDotJs;
    private _isDotDts;
}
export declare function copyFile(config: tsConfig.TsConfig, filePath: string, logger: log.ILogService): Promise<void>;
export interface IncludedFileSpec {
    rootPath: string;
    include: string[];
    exclude: string[];
}
export interface JsWatcherFileSpecOptions {
    config: tsConfig.TsConfig;
}
export declare class JsWatcherFileSpec {
    readonly config: tsConfig.TsConfig;
    constructor(options: JsWatcherFileSpecOptions);
    includeDirs(): string[];
    isIgnoredPath(filePath: string): boolean;
}
