import * as Promise from 'bluebird';
import * as tsconfig from './tsconfig';
export interface TsConfigFinderOptions {
    config: tsconfig.TsConfig;
}
export interface IncludedFileSpec {
    rootPath: string;
    include: string[];
    exclude: string[];
}
interface IncludeFileSpecOptions {
    useDefaultExclude?: boolean;
    allowTypes?: string[];
}
export declare class TsConfigFinder {
    readonly config: tsconfig.TsConfig;
    constructor(options: TsConfigFinderOptions);
    includedFileSpec({ useDefaultExclude, allowTypes }?: IncludeFileSpecOptions): IncludedFileSpec;
    resolveFilePaths(): Promise<string[]>;
    resolveJsWatcherFilePaths(): Promise<string[]>;
}
export {};
