"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("./util");
var tcGlob = require("./tsconfig-glob");
var TsConfigFinder = /** @class */ (function () {
    function TsConfigFinder(options) {
        this.config = options.config;
    }
    TsConfigFinder.prototype.includedFileSpec = function (_a) {
        var _this = this;
        var _b = _a === void 0 ? {} : _a, useDefaultExclude = _b.useDefaultExclude, allowTypes = _b.allowTypes;
        useDefaultExclude = useDefaultExclude === undefined ? true : useDefaultExclude;
        var excluded = this.config.excluded.concat(useDefaultExclude ? this.config.defaultExclude() : []).map(function (spec) {
            return new tcGlob.TsConfigGlob({
                spec: spec,
                basePath: _this.config.rootPath
            });
        });
        var include = (this.config.include || this.config.files) ? (this.config.include || []).map(function (spec) {
            return new tcGlob.TsConfigGlob({
                spec: spec,
                basePath: _this.config.rootPath,
                allowTypes: allowTypes
            });
        }).map(function (glob) { return glob.toIncludeGlob(); }).concat(this.config.files || []) : this.config.defaultInclude();
        return {
            rootPath: this.config.rootPath,
            include: include,
            exclude: excluded.map(function (exc) { return exc.toExcludeGlob(); })
        };
    };
    TsConfigFinder.prototype.resolveFilePaths = function () {
        var included = this.includedFileSpec();
        return util_1.find(included.include, {
            cwd: this.config.rootPath,
            exclude: included.exclude,
            fullPath: true
        });
    };
    TsConfigFinder.prototype.resolveJsWatcherFilePaths = function () {
        var included = this.includedFileSpec({
            useDefaultExclude: false,
            allowTypes: ['.d.ts', '.js']
        });
        return util_1.find(included.include, {
            cwd: this.config.rootPath,
            exclude: included.exclude,
            fullPath: true
        });
    };
    return TsConfigFinder;
}());
exports.TsConfigFinder = TsConfigFinder;
//# sourceMappingURL=tsconfig-finder.js.map