export declare const BASE_DELIM = "/";
export declare const WINDOWS_DELIM = "\\";
export declare class PathObject {
    readonly filePath: string;
    constructor(filePath: string);
    dirname(): PathObject;
    basename(extname?: string): string;
    extname(): string;
    join(...segs: string[]): PathObject;
    relative(toPath: string): PathObject;
    resolve(...pathSegments: string[]): PathObject;
    segments(): string[];
    lastSeg(): string;
    toOsPath(): string;
    toVirtualPath(): string;
    toString(): string;
    hasDrive(): RegExpMatchArray | null;
    isAbsolute(): boolean;
    isRelative(): boolean;
}
export declare function isAbsolute(filePath: string): boolean;
export declare function isRelative(filePath: string): boolean;
export declare function join(filePath: string, ...segs: string[]): PathObject;
export declare function relative(fromPath: string, toPath: string): PathObject;
export declare function resolve(filePath: string, ...segs: string[]): PathObject;
export declare function dirname(filePath: string): PathObject;
export declare function basename(filePath: string, extname?: string): string;
export declare function extname(filePath: string): string;
